

package Simulator;

/**
  * Models a simple priority queue
*/
public class EventsQueue {

    // Fields
    protected OrderedList list;

    // Constructor
    public EventsQueue () {
        list = new OrderedList();
    }

    // Commands
    public void insert (Message t) {
        list.insert (t);
    }

    public void remove() {
        list.removeFront();
    }

    // Queries
    public Message nextItem () {
        return (Message) list.frontItem();
    }

    public int getNumElements() {
        return list.getNumElements();
    }
}