

//package Simulator;

/**
  * Models a simple priority queue
*/
public class EventsQueue {

    // Fields
    protected OrderedList list;

    // Constructor
    public EventsQueue (RouterTable [] RoadTable) {
        list = new OrderedList(RoadTable);
    }

    // Commands
    public void insert (Message t) {
        list.insert (t);
    }

    public void remove() {
        list.removeFront();
    }

    // Queries
    public Message nextItem () {
        return (Message) list.frontItem();
    }

    public int getNumElements() {
        return list.getNumElements();
    }

    public int getQueueSize(NetComponents comp,double ArrivalTime) {
        return list.getQueueSize(comp,ArrivalTime);
    }
}
